Black Friday Black Friday: τα νέα πακέτα LetsBot εξοικονομούν έως 60% — μόνο έως 30 Νοεμβρίου. Δείτε τα πακέτα Δείτε τα πακέτα
LetsBot Μενού
Ξεκινήστε Ελληνικά Γλώσσα

Επαληθευμένος Meta Tech Provider Εταιρεία εγγεγραμμένη στο Ηνωμένο Βασίλειο

Γλώσσα

Live Chat · Endpoint API

POST /api/v1/live_chat/remove-moderator Νέο

Remove team member from contact

Take a team member off a conversation, or every team member with all=true (the live chat's unassign).

Take a team member off a conversation, or every team member with all=true (the live chat's unassign). The assignment history records it with actor api. Never creates a contact; nothing is sent to the customer.

Required: phone (or contact_id), and moderator_id (an id from list team members) or all=true.

Answers {"message": "success", "data": {"contact_id", "phone", "removed_moderators": [ids], "moderators": [{"id", "name"}]}}. Unknown conversation: HTTP 404 code=contact_not_found. Validation errors return HTTP 422 {"message": "error", "data": "<first error>"}.

Πεδία φόρμας

ΠεδίοΠαράδειγμα
phone{{phone}}
moderator_id3

Παράδειγμα αιτήματος

curl -X POST "https://letsbot.net/api/v1/live_chat/remove-moderator" \
  -H "Authorization: Bearer YOUR_LB_API_KEY" \
  -H "Accept: application/json" \
  -F "phone=9665xxxxxxxx" \
  -F "moderator_id=3"
const response = await fetch("https://letsbot.net/api/v1/live_chat/remove-moderator", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_LB_API_KEY",
    "Accept": "application/json",
  },
  body: new URLSearchParams({
    "phone": "9665xxxxxxxx",
    "moderator_id": "3",
  }),
});

const data = await response.json();
console.log(data);
<?php

$ch = curl_init('https://letsbot.net/api/v1/live_chat/remove-moderator');

curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer YOUR_LB_API_KEY',
        'Accept: application/json',
    ],
    CURLOPT_POSTFIELDS => http_build_query([
        'phone' => '9665xxxxxxxx',
        'moderator_id' => '3',
    ]),
]);

$data = json_decode(curl_exec($ch), true);
curl_close($ch);

print_r($data);
import requests

response = requests.request(
    "POST",
    "https://letsbot.net/api/v1/live_chat/remove-moderator",
    headers={
        "Authorization": "Bearer YOUR_LB_API_KEY",
        "Accept": "application/json",
    },
    data={
        "phone": "9665xxxxxxxx",
        "moderator_id": "3",
    },
)

print(response.json())

Έτοιμοι όποτε είστε κι εσείς

Δοκιμάστε αυτό το endpoint με τον δικό σας αριθμό

Το API λειτουργεί κατά τη δωρεάν δοκιμή. Δημιουργήστε λογαριασμό, συνδέστε τον αριθμό WhatsApp σας και αντιγράψτε το κλειδί σας από API → Δεδομένα ταυτοποίησης.